# TMCPoint Class Reference
[MCCore]

Inheritance diagram for TMCPoint:

List of all members.

## Public Types
enum | XYSelect { kXSel = 0, kYSel = 1, kDoneSel = 2 }
## Public Member Functions
| TMCPoint (void)
| TMCPoint (const TMCPoint &fromPoint)
| TMCPoint (int32 xVal, int32 yVal)
const int32 & | operator[] (XYSelect sel) const
int32 & | operator[] (XYSelect sel)
void | operator+= (const TMCPoint &rhs)
void | operator-= (const TMCPoint &rhs)
void | operator*= (const int32 mul)
void | operator/= (const int32 div)
void | operator<<= (const uint8 i)
void | operator>>= (const uint8 i)
TMCPoint | operator- () const
TMCPoint | operator+ (const TMCPoint &rhs) const
TMCPoint | operator- (const TMCPoint &rhs) const
TMCPoint | operator* (const int32 mul) const
TMCPoint | operator/ (const int32 div) const
TMCPoint | operator<< (const uint8 i) const
TMCPoint | operator>> (const uint8 i) const
boolean | operator== (const TMCPoint &rhs) const
boolean | operator!= (const TMCPoint &rhs) const
void | operator= (const TMCPoint &rhs)
void | Set (const int32 inX, const int32 inY)
int32 | X ()
int32 | Y ()
int32 | Norm1 () const
real | operator* (const TMCPoint &b) const
| Dot product.
real | operator^ (const TMCPoint &b) const
| Cross product.
## Public Attributes
int32 | x
int32 | y
## Static Public Attributes
static TMCPoint | gZeroPoint

## Detailed Description

TMCPoint represents a 2D integer point. It is generally used to represent pixel coordinates.

## Member Enumeration Documentation

enum TMCPoint::XYSelect

Enumerator:

  kXSel |
  kYSel |
  kDoneSel |

## Constructor & Destructor Documentation

TMCPoint::TMCPoint | ( | void |  | ) | `[inline]`

Constructor that does NOT initialize the memory...

TMCPoint::TMCPoint | ( | const TMCPoint & | fromPoint | ) | `[inline]`

TMCPoint::TMCPoint | ( | int32 | xVal,
|  | int32 | yVal |
| ) |  |  | `[inline]`

## Member Function Documentation

int32 TMCPoint::Norm1 | ( |  | ) | const`[inline]`

boolean TMCPoint::operator!= | ( | const TMCPoint & | rhs | ) | const`[inline]`

real TMCPoint::operator* | ( | const TMCPoint & | b | ) | const`[inline]`

Dot product.

TMCPoint TMCPoint::operator* | ( | const int32 | mul | ) | const`[inline]`

void TMCPoint::operator*= | ( | const int32 | mul | ) | `[inline]`

TMCPoint TMCPoint::operator+ | ( | const TMCPoint & | rhs | ) | const`[inline]`

void TMCPoint::operator+= | ( | const TMCPoint & | rhs | ) | `[inline]`

TMCPoint TMCPoint::operator- | ( | const TMCPoint & | rhs | ) | const`[inline]`

TMCPoint TMCPoint::operator- | ( |  | ) | const`[inline]`

void TMCPoint::operator-= | ( | const TMCPoint & | rhs | ) | `[inline]`

TMCPoint TMCPoint::operator/ | ( | const int32 | div | ) | const`[inline]`

void TMCPoint::operator/= | ( | const int32 | div | ) | `[inline]`

TMCPoint TMCPoint::operator<< | ( | const uint8 | i | ) | const`[inline]`

void TMCPoint::operator<<= | ( | const uint8 | i | ) | `[inline]`

void TMCPoint::operator= | ( | const TMCPoint & | rhs | ) | `[inline]`

boolean TMCPoint::operator== | ( | const TMCPoint & | rhs | ) | const`[inline]`

TMCPoint TMCPoint::operator>> | ( | const uint8 | i | ) | const`[inline]`

void TMCPoint::operator>>= | ( | const uint8 | i | ) | `[inline]`

int32& TMCPoint::operator[] | ( | XYSelect | sel | ) | `[inline]`

const int32& TMCPoint::operator[] | ( | XYSelect | sel | ) | const`[inline]`

real TMCPoint::operator^ | ( | const TMCPoint & | b | ) | const`[inline]`

Cross product.

void TMCPoint::Set | ( | const int32 | inX,
|  | const int32 | inY |
| ) |  |  | `[inline]`

int32 TMCPoint::X | ( |  | ) | `[inline]`

int32 TMCPoint::Y | ( |  | ) | `[inline]`

## Member Data Documentation

TMCPoint TMCPoint::gZeroPoint`[static]`

int32 TMCPoint::x

int32 TMCPoint::y

The documentation for this class was generated from the following file:

- MCPoint.h